<div class="widgets">



<div class="row" *ngIf="curalbum != null" style="position:relative ;background-color: rgba(50,10,10,0.5);margin: 10px;padding: 10px;border-radius: 1px">

    <button type="button" style="position: absolute;right: 15px;top:5px;z-index: 99999" (click)="close()" class="btn btn-default btn-icon"><i class="ion-close-round"></i></button>


<div class="col-md-4">

<div class="form-group">
      <label for="artistName">Album Name</label>
      <input class="form-control" [(ngModel)]="curalbum.name" id="artistName">
</div>
<div class="form-group">
      <label for="artistRelease">Album Release</label>
      <input class="form-control" [(ngModel)]="curalbum.release" id="artistRelease">
    </div>

    <div class="form-group">
      <button class="form-control" type="submit" (click)="updateInfo()" class="btn btn-default btn-with-icon" >Update</button>
    </div>

</div>

<div class="col-md-4" style="text-align: center">

<img src="{{curalbum.image}}" style="height:70px">
<div class="form-group">
      <label for="albumImage">Album Image</label>
      <input type="file" id="albumImage" class="form-control" value="upload" #filebtn (change)="updateImage($event)">
</div>



</div>


</div>



 <div class="row">
<div class="col-md-12">
  <input class="form-control" placeholder="Type album to search" [(ngModel)]="searchTerm"  (input)="search($event)"/>
<br>
</div>

<div class="col-md-3" *ngFor="let album of albums">

<div class="card" style="width: 100%">
  <img class="card-img-top" style="width:100%" src="{{album.val().image}}" alt="Card image cap">
  <div class="card-block">
    <h4 class="card-title">{{album.val().name}}</h4>
        <p class="card-text">{{album.val().artistName}}</p>

    <p class="card-text">{{album.val().release}}</p>
    <hr>
    <p class="card-text">{{album.val().timestamp | date:'medium'}}</p>
    
       

  </div>
  <div class="card-block">
            <button type="button" (click)="edit(album)" class="btn btn-default btn-with-icon"><i class="ion-edit"></i>Edit</button>
            <button type="button" (click)="delete(album.key)" class="btn btn-primary btn-with-icon"><i class="ion-android-delete"></i>Delete</button>

  </div>
</div>

    </div>

 
  </div>

</div>
